# -*- coding: utf-8 -*-

from openerp import models, fields, tools, api

class 	AccountPaymentTermType(models.Model):
    _name = 'account.payment.term.type'

    name = fields.Char('name')
    comment = fields.Text('comment')
    qty_add = fields.Integer('incrementar', help="Indica la cantidad que sera incrementada a la fecha.")
    type_calculation = fields.Selection([('day', 'Día'),('month','Mes')], default='day', help='Indica la forma que  sera incrementado la fecha  de las cuotas.')

    @api.model
    def _create_default_type_term(self):
        term = [
            {
                'name': 'Días',
                'qty_add': 1,
                'type_calculation': 'day',
            },{
                'name': 'Meses',
                'qty_add': 1,
                'type_calculation': 'month',
            }
        ]
        for termDefault in term:
            paymentTerm = self.env['account.payment.term.type'].search([('name', '=', termDefault['name'])])
            if (not paymentTerm):
                    self.env['account.payment.term.type'].create({
                        'name': termDefault['name'],
                        'qty_add': termDefault['qty_add'],
                        'type_calculation': termDefault['type_calculation'],
                    })
