# -*- coding: utf-8 -*-
from openerp import api, fields, models
from openerp.exceptions import except_orm
from datetime import datetime, timedelta
from openerp.tools import DEFAULT_SERVER_DATE_FORMAT
from dateutil.relativedelta import relativedelta

class AccountPaymentTerm(models.Model):
	_inherit = 'account.payment.term'

	config = fields.Boolean(default='False')
	type_operation = fields.Selection([('all', 'Todo'),('sale','Venta'),('purchase', 'Compra')],'Tipo de operacion', default='all', help='Define si el plazo de pago puede sera utilizado por Ventas, Compras o Todos')
	user_term = fields.Many2one('res.users', 'user')
